This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1077301 - Review Request: python-aaargh - An astonishingly awesome application argument helper
Review Request: python-aaargh - An astonishingly awesome application argument...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-17 12:35 EDT by Vitaly Kuznetsov
Modified: 2015-07-21 08:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-14 12:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vitaly Kuznetsov 2014-03-17 12:35:27 EDT
Spec URL: http://hadoop.ru/rpm/python-aaargh.spec
SRPM URL: http://hadoop.ru/rpm/python-aaargh-0.7.1-1.fc21.src.rpm

Description: Aaargh is a Python module that makes building friendly command line applications really easy. Applications built with *Aaargh* provide a single executable with a subcommand for each exposed Python function. Each subcommand may have its own command line arguments. This is similar to the way version control systems provide multiple commands using a single entry point.

Fedora Account System Username: vittyvk
Comment 1 Adrien Vergé 2014-03-20 20:34:36 EDT
Hi Vitaly,

You can remove the "-n %{name}-%{version}" part in %setup, that's the default.

The %description for the Python3 version contains a too long line. Actually it overflows of just *one* character, I guess it's caused by the '3' of Python3. ;-)
Comment 2 Vitaly Kuznetsov 2014-03-21 04:58:40 EDT
(In reply to Adrien Vergé from comment #1)
> Hi Vitaly,
> 

Thanks for your review!

> You can remove the "-n %{name}-%{version}" part in %setup, that's the
> default.

I'm not using "%{name}-%{version}" but "%{modname}-%{version}" where "modname" stands for "aaargh" (without 'python-' prefix). I need to do that due to the fact that aaargh (as other python modules) is distributed in 'aaargh-VERSION.tar.gz' form.

> 
> The %description for the Python3 version contains a too long line. Actually
> it overflows of just *one* character, I guess it's caused by the '3' of
> Python3. ;-)

Fixed! SRPM and SPEC updated.
Comment 3 Dan Scott 2014-04-29 21:45:14 EDT
Hi Vitaly:

Please use the versioned macros for python2, to prepare for the cutover to python3 as the default, per https://fedoraproject.org/wiki/Packaging:Python#Macros (for example, "%{__python2}" instead of "%{__python}").

And hey, if you're up for a review swap, I've got bug 1089553 in the hopper waiting for a reviewer :)
Comment 4 Yajo 2014-08-10 04:50:48 EDT
> Fixed! SRPM and SPEC updated.

Please update %changelog even for review updates.

> %define modname aaargh

Please use %global.
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#.25global_preferred_over_.25define

> %doc LICENSE.rst

Please add README.rst too.

Upstream provides tests, so a %check section would be good.

Always remember to pass the built packages through rpmlint to fix them as much as possible. Right now it says:

python-aaargh.noarch: W: spelling-error %description -l en_US subcommand -> sub command, sub-command, commandant
python-aaargh.noarch: W: incoherent-version-in-changelog 0.7-1 ['0.7.1-1.fc20', '0.7.1-1']
python3-aaargh.noarch: W: spelling-error %description -l en_US subcommand -> sub command, sub-command, commandant
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Also, a personal suggestion: is there any reason for all the `with_python3` stuff? If not, just simplify your life: always build both packages.

Please note that this is an unofficial review.
Comment 5 Vitaly Kuznetsov 2014-08-14 12:22:13 EDT
I've lost my interest in putting this package in Fedora as I don't use it anymore.

Thanks for reviews anyway!

Note You need to log in before you can comment on or make changes to this bug.